WebApp/Controllers/RolesController.cs
using System.Threading.Tasks;
using System.Web;
using System.Web.Mvc;
using Microsoft.AspNet.Identity;
using Microsoft.AspNet.Identity.Owin;
using WebApp.DAL.Models.Identity;
using WebApp.ViewModels;

namespace WebApp.Controllers
{
    [Authorize(Roles = "admin")]
    public class RolesController : Controller
    {
        private ApplicationRoleManager RoleManager
        {
            get { return HttpContext.GetOwinContext().GetUserManager<ApplicationRoleManager>(); }
        }

        public ActionResult Index()
        {
            return View(RoleManager.Roles);
        }

        public ActionResult Create()
        {
            return View();
        }
        [HttpPost]
        public async Task<ActionResult> Create(CreateRoleModel model)
        {
            if (ModelState.IsValid)
            {
                IdentityResult result = await RoleManager.CreateAsync(new ApplicationRole
                {
                    Name = model.Name,
                    Description = model.Description
                });

                if (result.Succeeded)
                {
                    return RedirectToAction("Index");
                }
                else
                {
                    ModelState.AddModelError("", "Что-то пошло не так");
                }
            }

            return View(model);
        }

        public async Task<ActionResult> Edit(string id)
        {
            ApplicationRole role = await RoleManager.FindByIdAsync(id);

            if (role != null)
            {
                return View(new EditRoleModel { Id = role.Id, Name = role.Name, Description = role.Description });
            }

            return RedirectToAction("Index");
        }
        [HttpPost]
        public async Task<ActionResult> Edit(EditRoleModel model)
        {
            if (ModelState.IsValid)
            {
                ApplicationRole role = await RoleManager.FindByIdAsync(model.Id);

                if (role != null)
                {
                    role.Description = model.Description;
                    role.Name = model.Name;
                    IdentityResult result = await RoleManager.UpdateAsync(role);
                    if (result.Succeeded)
                    {
                        return RedirectToAction("Index");
                    }
                    else
                    {
                        ModelState.AddModelError("", "Что-то пошло не так");
                    }
                }
            }

            return View(model);
        }

        public async Task<ActionResult> Delete(string id)
        {
            ApplicationRole role = await RoleManager.FindByIdAsync(id);

            if (role != null)
            {
                IdentityResult result = await RoleManager.DeleteAsync(role);
            }

            return RedirectToAction("Index");
        }
    }
}

WebApp/Views/Roles/Create.cshtml
@model WebApp.ViewModels.CreateRoleModel

<h2>Add a role</h2>

@using (Html.BeginForm("Create", "Roles", FormMethod.Post))
{
    @Html.AntiForgeryToken()

    <div>
        @Html.ValidationSummary(true, "")
        <p>Name:  @Html.EditorFor(model => model.Name)</p>
        <p>Description: @Html.EditorFor(model => model.Description)</p>
        <p><input type="submit" value="Add" /></p>
    </div>
}

WebApp/Views/Roles/Edit.cshtml
@model WebApp.ViewModels.EditRoleModel

<h2>Edit a role</h2>

@using (Html.BeginForm("Edit", "Roles", FormMethod.Post))
{
    @Html.AntiForgeryToken()

    <div>
        @Html.ValidationSummary(true, "")
        @Html.HiddenFor(model => model.Id)
        <p>Name:  @Html.EditorFor(model => model.Name)</p>
        <p>Description: @Html.EditorFor(model => model.Description)</p>
        <p><input type="submit" value="Save" /></p>
    </div>
}

WebApp/Views/Roles/Index.cshtml
@model IEnumerable<WebApp.DAL.Models.Identity.ApplicationRole>
 
@{
    ViewBag.Title = "Roles";
}
 
<h2>Roles</h2>
<table class="table">
    <tr>
        <th>Name</th>
        <th>Description</th>
        <th></th>
    </tr>
 
    @foreach (var item in Model) {
        <tr>
            <td>@item.Name</td>
            <td>@item.Description</td>
            <td>
                @Html.ActionLink("Edit", "Edit", new { id = item.Id }) |
                @Html.ActionLink("Delete", "Delete", new { id = item.Id })
            </td>
        </tr>
    }
</table>